<p-panel>
    <p-header>Detail VSO</p-header>
    <div class="ui-g" >
        <div class="ui-g-12  ">
            <div class="ui-g-4">
                No. VSO
            </div>
            <div class="ui-g-8">
                    <!-- <div *ngIf="vehicleSalesOrder.orderNumber != null  then templateOrderNumber; else templateRequirementNumber">
                        </div> -->
                        <!-- <ng-template #templateOrderNumber>
                                <input pInputText type="text" 
                                style="width: 100%"                 
                                [(ngModel)]="vehicleSalesOrder.orderNumber"
                                [disabled]="true"
                            />
                        </ng-template> -->
                        <!-- <ng-template #templateRequirementNumber>
                                <input pInputText type="text" 
                                style="width: 100%"                 
                                [(ngModel)]="vehicleSalesOrder.salesUnitRequirement.requirementNumber"
                                [disabled]="true"
                            />
                        </ng-template> -->
                <!-- <input pInputText type="text" 
                    style="width: 100%"                 
                    [(ngModel)]="vehicleSalesOrder.salesUnitRequirement.requirementNumber"
                    [disabled]="true"
                /> -->
                {{customVDR.vsoNumber}}       
            </div>
        </div>

        <div class="ui-g-12  ">
            <div class="ui-g-4">
               Tanggal VSO
            </div>
            <div class="ui-g-8">
                {{customVDR.vsoDate | date:'dd-MMM-yyyy'}}       
            </div>
        </div>

    </div>

    <hr>
    <!-- {{'mpmApp.vehicleSalesOrder.statusApprovalVSO'|translate}} -->
    <!-- <div>
        <table  align="center" style="width: 80%; text-align: center" border="1"  >
            <tbody>
                <tr>
                    <td style="width: 40%" >{{'mpmApp.vehicleSalesOrder.admSales'|translate}}</td>
                    <td style="width: 60%">{{vehicleSalesOrder.adminSalesVeriDate | date :'dd-MMM-yyyy'}}</td>
                </tr>
                <tr>
                    <td >{{'mpmApp.vehicleSalesOrder.afc'|translate}}</td>
                    <td>{{vehicleSalesOrder.afcVeriDate | date :'dd-MMM-yyyy'}}</td>
                </tr>
                <tr>
                    <td>{{'mpmApp.vehicleSalesOrder.kacab'|translate}}</td>
                    <td>{{vehicleSalesOrder.dateOrderStatusApprove | date :'dd-MMM-yyyy'}}</td>
                </tr>
            </tbody>
        </table>
    </div> -->
    
    <div class="ui-g"  *ngIf="isGanti == false">
        <div class="ui-g-12  ">
            <!-- <div class="ui-g-4">
                <button pButton type="button" 
                    (click)="cancelVso()"
                    label="Cancel VSO"
                    class="ui-button-danger flat-label-button btn-block"
                    [disabled]="vehicleSalesOrder.dateOrderStatusApprove != null">
                </button>
            </div> -->
            <!-- <div class="ui-g-1"> -->
                
            <!-- </div> -->
            <!-- <div class="ui-g-4">
                <button pButton type="button" 
                    (click)="gantiVso(vehicleSalesOrder.salesUnitRequirement, vehicleSalesOrder)"
                    label="Ganti No VSO"
                    class="ui-button-danger flat-label-button btn-block"
                    [disabled]="vehicleSalesOrder.dateOrderStatusApprove != null">
                </button>
            </div> -->
            <!-- <div class="ui-g-1"> -->
                
            <!-- </div> -->
            <!-- <div class="ui-g-4">
                <button pButton type="button"  
                    (click)="editVso()"
                    label="Edit VSO"
                    class="ui-button-danger flat-label-button btn-block"         
                    [disabled]="vehicleSalesOrder.dateOrderStatusApprove != null">
                </button>
            </div>                         -->
        </div>
    </div>

    <p-accordion>
    <p-accordionTab header="{{'mpmApp.vehicleSalesOrder.dataCustomer'|translate}}" *ngIf="isGanti == false">
      <div *ngIf="customVDR.personCustomer">
        <div class="ui-g">
            <div class="ui-g-6">
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6">Nama</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.personCustomer.firstName }}  {{ customVDR.personCustomer.lastName }}
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6">NIK</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.personCustomer.personalIdNumber }}
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6">No KK</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.personCustomer.familyIdNumber }}
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6">Email</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.personCustomer.privateMail }}
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6">No HP</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.personCustomer.cellPhone1 }}
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6">No HP Lain</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.personCustomer.cellPhone2 }}
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6">Alamat</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.addressPersonCustomer }}
                    </label>
                </div>
            </div>
        </div>
      </div>
      <div *ngIf="!customVDR.personCustomer">
        <div class="ui-g">
            <div class="ui-g-6">
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6">Nama</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.organizationCustomer.name }}
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6">Email</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.organizationCustomer.officeMail }}
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6">No Telepon</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.organizationCustomer.officePhone }}
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6">Alamat</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.addressOrganizationCustomer }}
                    </label>
                </div>
            </div>
        </div>
      </div>
    </p-accordionTab>
    <p-accordionTab header="{{'mpmApp.vehicleSalesOrder.dataSTNK'|translate}}" *ngIf="isGanti == false"> 
        <div *ngIf="customVDR.personOwner">
            <!-- <jhi-person-view
            [person]="vehicleDocumentRequirement.personOwner"
            [readonly]="true">
            </jhi-person-view> -->
            <div class="ui-g">
                <div class="ui-g-6">
                    <div class="ui-g-12">
                        <label class="form-control-label ui-g-6">Nama</label>
                        <label class="form-control-label ui-g-6">
                            : {{ customVDR.personOwner.firstName }}  {{ customVDR.personOwner.lastName }}
                        </label>
                    </div>
                    <div class="ui-g-12">
                        <label class="form-control-label ui-g-6">NIK</label>
                        <label class="form-control-label ui-g-6">
                            : {{ customVDR.personOwner.personalIdNumber }}
                        </label>
                    </div>
                    <div class="ui-g-12">
                        <label class="form-control-label ui-g-6">No KK</label>
                        <label class="form-control-label ui-g-6">
                            : {{ customVDR.personOwner.familyIdNumber }}
                        </label>
                    </div>
                    <div class="ui-g-12">
                        <label class="form-control-label ui-g-6">Email</label>
                        <label class="form-control-label ui-g-6">
                            : {{ customVDR.personOwner.privateMail }}
                        </label>
                    </div>
                    <div class="ui-g-12">
                        <label class="form-control-label ui-g-6">No HP</label>
                        <label class="form-control-label ui-g-6">
                            : {{ customVDR.personOwner.cellPhone1 }}
                        </label>
                    </div>
                    <div class="ui-g-12">
                        <label class="form-control-label ui-g-6">No HP Lain</label>
                        <label class="form-control-label ui-g-6">
                            : {{ customVDR.personOwner.cellPhone2 }}
                        </label>
                    </div>
                    <div class="ui-g-12">
                        <label class="form-control-label ui-g-6">Alamat</label>
                        <label class="form-control-label ui-g-6">
                            : {{ customVDR.addressPersonStnk }}
                        </label>
                    </div>
                </div>
            </div>
        </div>
        <div *ngIf="customVDR.organizationOwner">
            <div class="ui-g">
                <div class="ui-g-6">
                    <div class="ui-g-12">
                        <label class="form-control-label ui-g-6">Nama</label>
                        <label class="form-control-label ui-g-6">
                            : {{ customVDR.organizationOwner.name }}
                        </label>
                    </div>
                    <div class="ui-g-12">
                        <label class="form-control-label ui-g-6">Email</label>
                        <label class="form-control-label ui-g-6">
                            : {{ customVDR.organizationOwner.officeMail }}
                        </label>
                    </div>
                    <div class="ui-g-12">
                        <label class="form-control-label ui-g-6">No Telepon</label>
                        <label class="form-control-label ui-g-6">
                            : {{ customVDR.organizationOwner.officePhone }}
                        </label>
                    </div>
                    <div class="ui-g-12">
                        <label class="form-control-label ui-g-6">Alamat</label>
                        <label class="form-control-label ui-g-6">
                            : {{ customVDR.addressOrganizationStnk }}
                        </label>
                    </div>
                </div>
            </div>
        </div>

    </p-accordionTab>

    <p-accordionTab header="{{'mpmApp.vehicleDocumentRequirement.labelDataVehicle' | translate}}">
        <div class="ui-g">
            <div class="ui-g-6">
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelTypeCode">Kode Tipe</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.vehicle.productId }}
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelMarketName">Market Name</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.productName }}
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelColor">Warna</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.vehicle.featureId }}
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelProductionYear">Tahun Produksi</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.vehicle.yearOfAssembly }}
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelNoChassis">No. Rangka</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.vehicle.idFrame }}
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelNoMachine">No. Mesin</label>
                    <label class="form-control-label ui-g-6">
                        : {{ customVDR.vehicle.idMachine }}
                    </label>
                </div>
            </div>
            <div class="ui-g-6">
                <div class="ui-g-12">
                        <label class="form-control-label ui-g-6" >No. Polisi</label>
                        <label class="form-control-label ui-g-6">
                            : {{ customVDR.PoliceNumber }}
                        </label>
                    </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelRequestNotes">Note Permintaan Noka dan Nosin</label>
                    <label class="form-control-label ui-g-6">
                        :
                    </label>
                </div>
                <div class="ui-g-12">
                    <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelOtherNotes">Note Lain-lain</label>
                    <label class="form-control-label ui-g-6">
                        :
                    </label>
                </div>
            </div>
        </div>
    </p-accordionTab>
    <p-accordionTab header="File Dokumen" *ngIf="isGanti == false">
        <!-- <div *ngIf="vehicleSalesOrder.customer">
            <jhi-party-document-as-list 
                [idparty] = "vehicleSalesOrder.customer.partyId"
                [readonly]="true">
            </jhi-party-document-as-list>
        </div>             -->
    </p-accordionTab>
    <p-accordionTab header="Notes" *ngIf="isGanti == false">
        <!-- <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
            <jhi-vso-edit-data-note 
                [data]="vehicleSalesOrder.salesUnitRequirement" 
            ></jhi-vso-edit-data-note>              
        </div>             -->
    </p-accordionTab>

    <p-accordionTab header="Status Registrasi" *ngIf="isGanti == false">
        <!-- <jhi-vso-edit-data-cdb
        [idCustomer]="vehicleSalesOrder.customerId"
        ></jhi-vso-edit-data-cdb> 
        -->
        <div class="ui-g">
        <div class="ui-g-12">
            <table style="width: 100%;" border="1">
                <tr>
                    <td style="width: 10%">No</td>
                    <td style="width: 30%">Nama</td>
                    <td style="width: 30%">Status</td>
                    <td style="width: 30%">Tanggal</td>
                </tr>

                <tr>
                    <td style="width: 10%"><span>1</span></td>
                    <td style="width: 30%">Notice</td>
                    <td style="width: 30%">
                        <div *ngIf="customVDR.NoticeReceivedDate == null">
                            <span>-</span>
                        </div>
                        <div *ngIf="customVDR.NoticeReceivedDate != null">
                                <span>Ada</span>
                        </div>
                    </td>
                    <td style="width: 30%">
                        <div *ngIf="customVDR.NoticeReceivedDate == null">
                                <span>-</span>
                        </div>
                        <div *ngIf="customVDR.NoticeReceivedDate != null">
                            <span>{{ customVDR.NoticeReceivedDate | date:'dd-MM-yyyy' }}</span>
                        </div>
                    </td>
                </tr>

                <tr>
                        <td style="width: 10%"><span>2</span></td>
                        <td style="width: 30%">STNK</td>
                        <td style="width: 30%">
                            <div *ngIf="customVDR.STNKReceivedDate == null">
                                <span>-</span>
                            </div>
                            <div *ngIf="customVDR.STNKReceivedDate != null">
                                    <span>Ada</span>
                            </div>
                        </td>
                        <td style="width: 30%">
                            <div *ngIf="customVDR.STNKReceivedDate == null">
                                    <span>-</span>
                            </div>
                            <div *ngIf="customVDR.NoticeReceivedDate != null">
                                <span>{{ customVDR.STNKReceivedDate | date:'dd-MM-yyyy' }}</span>
                            </div>
                        </td>
                    </tr>

                <tr>
                        <td style="width: 10%"><span>3</span></td>
                        <td style="width: 30%">Plat Nomor</td>
                        <td style="width: 30%">
                            <div *ngIf="customVDR.PlatNomorReceivedDate == null">
                                <span>-</span>
                            </div>
                            <div *ngIf="customVDR.PlatNomorReceivedDate != null">
                                    <span>Ada</span>
                            </div>
                        </td>
                        <td style="width: 30%">
                            <div *ngIf="customVDR.PlatNomorReceivedDate == null">
                                    <span>-</span>
                            </div>
                            <div *ngIf="customVDR.PlatNomorReceivedDate != null">
                                <span>{{ customVDR.PlatNomorReceivedDate | date:'dd-MM-yyyy' }}</span>
                            </div>
                        </td>
                    </tr>

                    <tr >
                            <td style="width: 10%"><span>4</span></td>
                            <td style="width: 30%">BPKB</td>
                            <td style="width: 30%">
                                <div *ngIf="customVDR.BPKBReceivedDate == null">
                                    <span>-</span>
                                </div>
                                <div *ngIf="customVDR.BPKBReceivedDate != null">
                                        <span>Ada</span>
                                </div>
                            </td>
                            <td style="width: 30%">
                                <div *ngIf="customVDR.BPKBReceivedDate == null">
                                        <span>-</span>
                                </div>
                                <div *ngIf="customVDR.BPKBReceivedDate != null">
                                    <span>{{ customVDR.BPKBReceivedDate | date:'dd-MM-yyyy' }}</span>
                                </div>
                            </td>
                        </tr>
            </table>
        </div>
        </div>
        <!-- <div class="btn-filter-wrapper pull-right" *ngIf="(customVDR.BASTNotice != null || customVDR.BASTSTNK != null || customVDR.BASTPlat != null)">
            <button pButton type="button" (click)="bastToKonsumen()"
            label="Serahkan ke Konsumen"
            class="ui-button-danger flat-label-button">
            </button>
        </div> -->
    </p-accordionTab>
</p-accordion>
<div style="margin-top: 10px;"></div>
<p-footer>
    <button pButton type="button" (click)="previousState()"
        label="{{'entity.action.back' | translate}}"
        class="ui-button-danger flat-label-button">
    </button>
</p-footer>
</p-panel>
<p-confirmDialog></p-confirmDialog>